/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.9-dev10
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD.
    define(['expect.js', process.cwd()+'/src/index'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    factory(require('expect.js'), require(process.cwd()+'/src/index'));
  } else {
    // Browser globals (root is window)
    factory(root.expect, root.ftclient);
  }
}(this, function(expect, ftclient) {
  'use strict';

  var instance;

  beforeEach(function() {
    instance = new ftclient.BacktestRequest();
  });

  var getProperty = function(object, getter, property) {
    // Use getter method if present; otherwise, get the property directly.
    if (typeof object[getter] === 'function')
      return object[getter]();
    else
      return object[property];
  }

  var setProperty = function(object, setter, property, value) {
    // Use setter method if present; otherwise, set the property directly.
    if (typeof object[setter] === 'function')
      object[setter](value);
    else
      object[property] = value;
  }

  describe('BacktestRequest', function() {
    it('should create an instance of BacktestRequest', function() {
      // uncomment below and update the code to test BacktestRequest
      //var instane = new ftclient.BacktestRequest();
      //expect(instance).to.be.a(ftclient.BacktestRequest);
    });

    it('should have the property strategy (base name: "strategy")', function() {
      // uncomment below and update the code to test the property strategy
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property timeframe (base name: "timeframe")', function() {
      // uncomment below and update the code to test the property timeframe
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property timeframeDetail (base name: "timeframe_detail")', function() {
      // uncomment below and update the code to test the property timeframeDetail
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property timerange (base name: "timerange")', function() {
      // uncomment below and update the code to test the property timerange
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property maxOpenTrades (base name: "max_open_trades")', function() {
      // uncomment below and update the code to test the property maxOpenTrades
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property stakeAmount (base name: "stake_amount")', function() {
      // uncomment below and update the code to test the property stakeAmount
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property enableProtections (base name: "enable_protections")', function() {
      // uncomment below and update the code to test the property enableProtections
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

    it('should have the property dryRunWallet (base name: "dry_run_wallet")', function() {
      // uncomment below and update the code to test the property dryRunWallet
      //var instance = new ftclient.BacktestRequest();
      //expect(instance).to.be();
    });

  });

}));
